petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectReference

Indicates to any PetscObject that it is being referenced by another PetscObject. This increases the reference count for that object by one.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectReference(PetscObject obj)

Logically Collective on PetscObject

### Input Parameter

obj -the PETSc object. This must be cast with (PetscObject), for example, PetscObjectReference((PetscObject)mat);

### See Also

PetscObjectCompose(), PetscObjectDereference()

### Level

advanced

### Location

src/sys/objects/inherit.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages